> For the complete documentation index, see [llms.txt](https://webatlas.gitbook.io/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://webatlas.gitbook.io/api/endpoints/technology-lookup.md).

# Technology Lookup

### Request

Find all the technologies a particular website is using with this api endpoint

{% tabs %}
{% tab title="Curl" %}

```sh
curl --location 'https://www.webatlas.com/api/v1/website/technology-lookup' \
--header 'x-webatlas-api-key: <your-api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "website":"vercel.com" // replace with your website
}'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://www.webatlas.com/api/v1/website/technology-lookup"
headers = {
    "x-webatlas-api-key": "<your-api-key>",
    "Content-Type": "application/json"
}
data = {
    "website": "vercel.com"  # Replace with your website
}

response = requests.post(url, headers=headers, json=data)

if response.status_code == 200:
    print(response.json())
else:
    print(f"Error: {response.status_code}, {response.text}")

```

{% endtab %}

{% tab title="Node.js (with fetch)" %}

```javascript
const url = "https://www.webatlas.com/api/v1/website/technology-lookup";
const apiKey = "<your-api-key>";
const website = "vercel.com"; // Replace with your website

fetch(url, {
  method: "POST",
  headers: {
    "x-webatlas-api-key": apiKey,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({ website }),
})
  .then((response) => response.json())
  .then((data) => console.log(data))
  .catch((error) => console.error("Error:", error));
```

{% endtab %}

{% tab title="Node.js (with axios)" %}

```javascript
const axios = require("axios");

const url = "https://www.webatlas.com/api/v1/website/technology-lookup";
const apiKey = "<your-api-key>";
const website = "vercel.com"; // Replace with your website

axios
  .post(
    url,
    { website },
    {
      headers: {
        "x-webatlas-api-key": apiKey,
        "Content-Type": "application/json",
      },
    }
  )
  .then((response) => {
    console.log(response.data);
  })
  .catch((error) => {
    console.error("Error:", error);
  });
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
	"bytes"
	"encoding/json"
	"fmt"
	"io/ioutil"
	"net/http"
)

func main() {
	url := "https://www.webatlas.com/api/v1/website/technology-lookup"
	apiKey := "<your-api-key>"
	website := "vercel.com" // Replace with your website

	data := map[string]string{
		"website": website,
	}
	jsonData, err := json.Marshal(data)
	if err != nil {
		fmt.Println("Error marshalling JSON:", err)
		return
	}

	client := &http.Client{}
	req, err := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
	if err != nil {
		fmt.Println("Error creating request:", err)
		return
	}

	req.Header.Set("x-webatlas-api-key", apiKey)
	req.Header.Set("Content-Type", "application/json")

	resp, err := client.Do(req)
	if err != nil {
		fmt.Println("Error making request:", err)
		return
	}
	defer resp.Body.Close()

	body, _ := ioutil.ReadAll(resp.Body)
	if resp.StatusCode == http.StatusOK {
		fmt.Println(string(body))
	} else {
		fmt.Printf("Error: %d, %s\n", resp.StatusCode, body)
	}
}

```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'json'

url = URI('https://www.webatlas.com/api/v1/website/technology-lookup')
api_key = '<your-api-key>'
website = 'vercel.com' # Replace with your website

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request['x-webatlas-api-key'] = api_key
request['Content-Type'] = 'application/json'
request.body = { website: website }.to_json

response = http.request(request)

if response.code.to_i == 200
  puts JSON.pretty_generate(JSON.parse(response.body))
else
  puts "Error: #{response.code}, #{response.body}"
end

```

{% endtab %}
{% endtabs %}

Replace `<your-api-key` with the key obtained from [Authentication](/api/authentication.md) page.

### Sample Response

```json
{
  "ok": true,
  "data": [
    {
      "name": "React",
      "website": "reactjs.org",
      "description": "React is an open-source JavaScript library for building user interfaces or UI components."
    },
    {
      "name": "Google Analytics",
      "website": "google.com",
      "description": "Google Analytics is a free web analytics service that tracks and reports website traffic."
    },
    {
      "name": "SWC",
      "website": "swc.rs",
      "description": "SWC is an extensible Rust-based platform for the next generation of fast developer tools."
    },
    ...
  ],
  "status": 200
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://webatlas.gitbook.io/api/endpoints/technology-lookup.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
